using System;
using System.IO;

internal sealed class Delegate575 : MulticastDelegate
{
	public extern void Invoke(object object_0, FileSystemEventHandler fileSystemEventHandler_0);

	public static void smethod_0(object object_0, FileSystemEventHandler fileSystemEventHandler_0, Delegate575 delegate575_1)
	{
		delegate575_1(object_0, fileSystemEventHandler_0);
	}

	public extern Delegate575(object object_0, IntPtr intptr_0);

	static Delegate575()
	{
		Class10.smethod_13(typeof(Delegate575).TypeHandle);
	}

	internal static Delegate575 delegate575_0;
}
